CH_CREATE_PIPE(3)

FUNCTION
ch_create_pipe - Create a pipe.

SYNOPSIS
#include <karma_ch.h>

flag ch_create_pipe

(Channel *read_ch, Channel *write_ch)

DESCRIPTION
This routine will create an un-named pipe (see <<pipe(2)>> for details on un-named pipes).

read_ch
    The channel corresponding to the read end of the pipe will be written here.

write_ch
    The channel corresponding to the write end of the pipe will be written here.

RETURN VALUE
TRUE on success, else FALSE and sets <<errno>> with the error code.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/